Bug 430604 - mktextfm fails for cmr10, cmr9
mktextfm fails for cmr10, cmr9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429811
  Show dependency treegraph
 
Reported: 2008-01-28 18:32 EST by Jonathan Underwood
Modified: 2013-07-02 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 12:43:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2008-01-28 18:32:09 EST
Description of problem:
The emacs-auctex package isn't building in Rawhide due to what seems like a
mktextfm problem:


Build logs:

http://koji.fedoraproject.org/koji/getfile?taskID=369289&name=build.log

In particular:

This is TeX, Version 3.141592 (Web2C 7.5.6) (INITEX)
(/usr/share/texmf/tex/plain/config/tex.ini
(/usr/share/texmf/tex/plain/base/plain.tex Preloading the plain format: codes,
registers, parameters, fonts,kpathsea: Running mktextfm cmr10
/usr/share/texmf/web2c/mktexnam: Could not map source abbreviation  for cmr10.
/usr/share/texmf/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode;
input cmr10
This is METAFONT, Version 2.71828 (Web2C 7.5.6)
kpathsea: Running mktexmf cmr10

! I can't find file `cmr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input cmr10
                                                  
Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input cmr10
                                                  
Transcript written on mfput.log.
grep: cmr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input
cmr10' failed to make cmr10.tfm.
kpathsea: Appending font creation commands to missfont.log.

! Font \tenrm=cmr10 not loadable: Metric (TFM) file not found.
<to be read again> 
                   \font 
l.401 \font
           \preloaded=cmr9
? 
! Emergency stop.
<to be read again> 
                   \font 
l.401 \font
           \preloaded=cmr9
No pages of output.
Transcript written on tex.log.
kpathsea: Running mktextfm cmr10
/usr/share/texmf/web2c/mktexnam: Could not map source abbreviation  for cmr10.
/usr/share/texmf/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode;
input cmr10
This is METAFONT, Version 2.71828 (Web2C 7.5.6)
kpathsea: Running mktexmf cmr10

! I can't find file `cmr10'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input cmr10
                                                  
Please type another input file name
! Emergency stop.
<*> ...e:=ljfour; mag:=1; nonstopmode; input cmr10
                                                  
Transcript written on mfput.log.
grep: cmr10.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input
cmr10' failed to make cmr10.tfm.
kpathsea: Appending font creation commands to missfont.log.
Error: `tex -ini  -jobname=tex -progname=tex tex.ini' failed

###############################################################################
fmtutil: Error! Not all formats have been built successfully.
Visit the log files in directory
  /builddir/.texlive2007/texmf-var/web2c
for details.
###############################################################################

This is a summary of all `failed' messages and warnings:
`tex -ini  -jobname=tex -progname=tex tex.ini' failed
warning: kpathsea: mktexfmt output `This is TeX, Version 3.141592 (Web2C 7.5.6)
(INITEX)
(/usr/share/texmf/tex/plain/config/tex.ini
(/usr/share/texmf/tex/plain/base/plain.tex Preloading the plain format: codes,
registers, parameters, fonts,
! Font \tenrm=cmr10 not loadable: Metric (TFM) file not found.
<to be read again> 
                   \font 
l.401 \font
           \preloaded=cmr9
? 
! Emergency stop.
<to be read again> 
                   \font 
l.401 \font
           \preloaded=cmr9
No pages of output.
Transcript written on tex.log.' instead of a filename.
I can't find the format file `tex.fmt'!
make[2]: *** [preview-mk.ins] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/auctex-11.84/preview/latex'
make[1]: *** [texmf] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/auctex-11.84/preview'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.15528 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.15528 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target noarch --nodeps
//builddir/build/SPECS/emacs-auctex.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target noarch --nodeps
//builddir/build/SPECS/emacs-auctex.spec'
LEAVE do --> EXCEPTION RAISED
Comment 1 Jonathan Underwood 2008-02-02 07:16:15 EST
Hi Jindrich,

I just triedd to rebuild exactly the same package with no changes, and now it
fails in a different way, complaining that texinfo.tex is broken.

See http://koji.fedoraproject.org/koji/getfile?taskID=388213&name=build.log

Relevant bits below.

cd html && : -split_node -I .. ../auctex.texi && \
	test ! -d auctex || { mv auctex/* . && rm -rf auctex ; }
/usr/bin/texi2dvi auctex.texi
This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6)
 %&-line parsing enabled.
entering extended mode
(./txiversion.tex
! I can't find file `texinfo.tex'.
l.1 \input texinfo.tex 
                       @bye
Please type another input file name: 
! Emergency stop.
l.1 \input texinfo.tex 
                       @bye
No pages of output.
Transcript written on txiversion.log.
kpathsea: Running mktexfmt etex.fmt
fmtutil: running `pdftex -ini   -jobname=etex -progname=etex
-translate-file=cp227.tcx *etex.ini' ...
This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6) (INITEX)
 %&-line parsing enabled.
 (/usr/share/texmf/web2c/cp227.tcx)
entering extended mode
(/usr/share/texmf/tex/plain/config/etex.ini
(/usr/share/texmf/tex/plain/etex/etex.src
(/usr/share/texmf/tex/plain/base/plain.tex Preloading the plain format: codes,
registers, parameters, fonts, more fonts, macros, math definitions,
output routines, hyphenation (/usr/share/texmf/tex/generic/hyphen/hyphen.tex
[skipping from \patterns to end-of-file...]))
(/usr/share/texmf/tex/plain/etex/etexdefs.lib Skipping module "grouptypes";
Loading module "interactionmodes"; Skipping module "nodetypes";
Skipping module "iftypes";) (/var/lib/texmf/tex/plain/config/language.def
(/usr/share/texmf/tex/generic/hyphen/hyphen.tex))
Augmenting the Plain TeX definitions: \tracingall;
Adding new e-TeX definitions: \eTeX, \loggingall, \tracingnone,
register allocation; extended register allocation; 
Recycling: \addlanguage, \@nswer (not defined), \@sk, \b@dresponsetrue,
\b@dresponsefalse, \ch@ckforyn, \mayber@cycle, \et@xabort, \et@xbuf,
\et@xfmtsrc, \et@xfilehdr, \et@xinf, \et@xpatterns, \l@ngdefnfile, \n@xt,
\p@rse (not defined), \pr@mpt (not defined), \pr@mptloop (not defined),
\forcer@cycle, \usef@llback, \usef@llbacktrue, \usef@llbackfalse, 
Retaining: \et@xerr, \et@xinput, \et@xlibhdr, \et@xmsg, \et@xtoks, \et@xwarn,
\et@xl@@d, \et@xl@ad, \et@xload, \et@xlang, \et@xhash, \eTeX, \etexhdrchk,
\etexstatus, \module, \uselanguage, \r@tain, \r@cycle,) )
Beginning to dump on file etex.fmt
 (format=etex 2008.1.31)
2837 strings of total length 41332
7953 memory locations dumped; current usage is 197&7289
1247 multiletter control sequences
\font\nullfont=nullfont
\font\tenrm=cmr10
\font\preloaded=cmr9
\font\preloaded=cmr8
\font\sevenrm=cmr7
\font\preloaded=cmr6
\font\fiverm=cmr5
\font\teni=cmmi10
\font\preloaded=cmmi9
\font\preloaded=cmmi8
\font\seveni=cmmi7
\font\preloaded=cmmi6
\font\fivei=cmmi5
\font\tensy=cmsy10
\font\preloaded=cmsy9
\font\preloaded=cmsy8
\font\sevensy=cmsy7
\font\preloaded=cmsy6
\font\fivesy=cmsy5
\font\tenex=cmex10
\font\preloaded=cmss10
\font\preloaded=cmssq8
\font\preloaded=cmssi10
\font\preloaded=cmssqi8
\font\tenbf=cmbx10
\font\preloaded=cmbx9
\font\preloaded=cmbx8
\font\sevenbf=cmbx7
\font\preloaded=cmbx6
\font\fivebf=cmbx5
\font\tentt=cmtt10
\font\preloaded=cmtt9
\font\preloaded=cmtt8
\font\preloaded=cmsltt10
\font\tensl=cmsl10
\font\preloaded=cmsl9
\font\preloaded=cmsl8
\font\tenit=cmti10
\font\preloaded=cmti9
\font\preloaded=cmti8
\font\preloaded=cmti7
\font\preloaded=cmu10
\font\preloaded=cmmib10
\font\preloaded=cmbsy10
\font\preloaded=cmcsc10
\font\preloaded=cmssbx10
\font\preloaded=cmdunh10
\font\preloaded=cmr7 at 14.51799pt
\font\preloaded=cmtt10 at 14.4pt
\font\preloaded=cmssbx10 at 14.4pt
\font\preloaded=manfnt
14787 words of font info for 50 preloaded fonts
14 hyphenation exceptions
Hyphenation trie of length 6075 has 181 ops out of 35111
  181 for language 0
No pages of output.
Transcript written on etex.log.
fmtutil: /builddir/.texlive2007/texmf-var/web2c/pdftex/etex.fmt installed.
/usr/bin/texi2dvi: texinfo.tex appears to be broken, quitting.
make: *** [auctex.dvi] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.52986 (%build)
Comment 2 Patrice Dumas 2008-02-04 18:51:48 EST
This specific issue should be fixed with the next texinfo 
rebuild (texinfo.tex is now in texinfo-tex).
Comment 3 Jonathan Underwood 2008-02-13 12:43:01 EST
OK, yes, can confirm now fixed in rawhide. Closing.

Note You need to log in before you can comment on or make changes to this bug.